## org.apache.poi.ss.formula.ptg
Class AreaNPtg

    java.lang.Object
      org.apache.poi.ss.formula.ptg.Ptg
          org.apache.poi.ss.formula.ptg.OperandPtg
              org.apache.poi.ss.formula.ptg.AreaPtgBase
                  org.apache.poi.ss.formula.ptg.Area2DPtgBase
                      org.apache.poi.ss.formula.ptg.AreaNPtg

All Implemented Interfaces:
  java.lang.Cloneable, AreaI

    public final class AreaNPtg

extends Area2DPtgBase

Specifies a rectangular area of cells A1:A4 for instance.

Author:
  Jason Height (jheight at chariot dot net dot au)

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.poi.ss.formula.ptg.AreaI
`AreaI.OffsetArea`

Field Summary
`static short` `sid`

Fields inherited from class org.apache.poi.ss.formula.ptg.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

Constructor Summary
`AreaNPtg(LittleEndianInput in)`

Method Summary
`protected byte` `getSid()`

Methods inherited from class org.apache.poi.ss.formula.ptg.Area2DPtgBase
`getSize, toFormulaString, toString, write`

Methods inherited from class org.apache.poi.ss.formula.ptg.AreaPtgBase

`formatReferenceAsString, getDefaultOperandClass, getFirstColumn, getFirstColumnRaw, getFirstRow, getLastColumn, getLastColumnRaw, getLastRow, isFirstColRelative, isFirstRowRelative, isLastColRelative, isLastRowRelative, notImplemented, readCoordinates, setFirstColRelative, setFirstColumn, setFirstColumnRaw, setFirstRow, setFirstRowRelative, setLastColRelative, setLastColumn, setLastColumnRaw, setLastRow, setLastRowRelative, writeCoordinates`

Methods inherited from class org.apache.poi.ss.formula.ptg.OperandPtg
`copy, isBaseToken`

Methods inherited from class org.apache.poi.ss.formula.ptg.Ptg
`createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, readTokens, serializePtgs, setClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### AreaNPtg

    public AreaNPtg(LittleEndianInput in)

Method Detail

### getSid

    protected byte getSid()

  Specified by:
    `getSid` in class `Area2DPtgBase`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.